body {
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: row;
    overscroll-behavior: none;
    overflow: hidden;
    width: 100vw;
    height: 100vh;
    box-sizing: border-box;
}

select {
    border-radius: 0;
    border: none;
    padding: 2px 8px;
    width: 100%;
    display: block;
    margin: 4px;
}

select option {
    font-family: "DM Sans", serif;
}


input[type="checkbox"] {
    appearance: none;
    background-color: currentColor;
    vertical-align: bottom;
    font: inherit;
    color: currentColor;
    width: 1em;
    height: 1em;
    border: none;
    border-radius: 0;
    position: relative;
}


input[type="checkbox"]::before {;
}

input[type="checkbox"]:checked::before {
    content: "";
    display: block;
    position: absolute;
    top: 0.175em;
    left: 0.175em;
    width: 0.65em;
    height: 0.65em;
    transition: 120ms transform ease-in-out;
    background-color: #f9a825;
}

div#controls {
    z-index: 1;
    flex-basis: 250pt;
    flex-shrink: 0;
    box-sizing: border-box;
    padding: 8px;
    display: flex;
    flex-direction: column;
}

div#controls > fieldset {
    flex-grow: 0;
}

div#controls > div {
    flex-grow: 1;
}


fieldset {
    font-family: "DM Sans", serif;
    color: black;
    margin-top: 10px;
    background-color: white;
    border: none;
}

fieldset label {
    font-weight: 400;
}

fieldset legend {
    font-weight: bold;
    color: black;
    background-color: #f9a825;
    padding: 2px 8px;
}

fieldset .description {
    font-weight: 100;
}

fieldset div.only-one {
    margin-top: 0.5em;
}

fieldset div.only-one label::after {
    content: "";
    display: block;
}

div#graph {
    z-index: 0;
    display: flex;
    flex-grow: 1;
    flex-basis: 1000px;
    background-color: #eee;
    overflow: hidden;
}

div.float-tooltip-kap {
    border: none;
    border-radius: 0;
    margin: 0;
    padding: 0;
    background: none;
    font-family: "DM Sans", serif;
}

div.float-tooltip-kap fieldset {
    display: flex;
    flex-direction: column;
    align-items: center;
}

@media (orientation: portrait) {
    body {
        flex-direction: column;
        align-items: stretch;
    }
    div#graph {
        flex-basis: calc(100vh - 320pt);
        flex-shrink: 1;
    }
    div#controls {
        flex-basis: 320pt;
        flex-grow: 1;
        overflow: scroll;
    }
}
